
PYROS - Evolution #4049
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.10 - ALERT - Alert Manager
08/30/2016 05:29 pm - Etienne Pallier

Status: Nouveau Start date: 05/19/2016
Priority: Normal Due date:
Assignee: % Done: 32%
Category: Estimated time: 272.00 hours
Target version: Spent time: 0.00 hour
Description

Receives and process alerts (VOEvents)

Subtasks:
Evolution # 4050: * (F) Receive alerts and information messages Nouveau
  Evolution # 4083: GCN Simulator Nouveau
  Evolution # 4084: Listen with Comet to GCN (actual and simulator) Nouveau
  Evolution # 4085: Filter messages (test, pertinence) Nouveau
  Evolution # 4086: Tests (different scenarios of alert messages) Nouveau
  Evolution # 3655: Simulation arrivée alerte VOEvent Fermé
  Evolution # 3677: Comet implementation Fermé
  Evolution # 3692: Listen to the real VOEvent network Nouveau
  Evolution # 3738: Système INotify linux + windows Nouveau
  Evolution # 4326: Inclure "trial comet" dans les tests pour s'assurer que Comet est bie... Nouveau
  Evolution # 4444: (FT) Tests Nouveau
Evolution # 4051: * (F) Check alert message validity Nouveau
  Evolution # 4132: Check message validity (xml well formed, according to VOEvent schema,... Nouveau
  Evolution # 4133: (FT) Tests Nouveau
Evolution # 4053: * (F) Analyse alert message and extract parameters Nouveau
  Evolution # 4134: Define (with scientists) parameters to be extracted from SWIFT VOEvents Nouveau
  Evolution # 4135: Define (with scientists) what should be a SVOM VOEvent content Nouveau
  Evolution # 4136: Extract important parameters Nouveau
  Evolution # 4137: (FT) Tests Nouveau
  Evolution # 3986: Extract good fields from VOEvents Fermé
Evolution # 4078: * (F) Save alert message (and retreive them) Nouveau
  Evolution # 4138: Save the whole XML VOEvent message Nouveau
  Evolution # 4139: Save only important parameters Nouveau
  Evolution # 4140: Retreive the saved parameters Nouveau
  Evolution # 4141: (FT) Tests Nouveau
Evolution # 4079: * (F) Determine Alert Request to build for this alert Nouveau
Evolution # 4080: * (F) Build Alert Request Nouveau
  Evolution # 4168: Create in advance a few models of requests for each type of GRB to wa... Nouveau
  Evolution # 4169: Select the right prepared request model that matches best the current... Nouveau
  Evolution # 3987: Use strategies to build the requests Fermé
  Evolution # 3663: (FT) Test for request builder Fermé
Evolution # 4081: * (F) Log status information Nouveau
  Evolution # 3985: Link alerts to their status and results Nouveau
  Evolution # 4443: (FT) Tests Nouveau
Evolution # 4082: * (F) Build and Send VOEvent for analysis results Nouveau
Evolution # 4253: * (F) Manage Alert Strategy Change (interactive) Nouveau
  Evolution # 3988: Possibility to change the default strategy Fermé
  Evolution # 3654: Strategy change Fermé
  Evolution # 3837: Strategy change : system for GIC Nouveau
  Evolution # 4470: (FT) Tests Nouveau
Evolution # 4286: * (F) Alert VIEW (VOEvent) Nouveau
  Evolution # 3984: Print if there is an alert in progress in the main pages Nouveau
  Evolution # 4355: Simulate an Alert: Alerts (TODO: Un user "admin" doit pouvoir déclenc... Nouveau
  Evolution # 4471: (FT) Tests Nouveau
Evolution # 4287: * (F) Alert Request VIEW Nouveau
  Evolution # 4472: (FT) Tests Nouveau
Evolution # 3656: VOEvent save, log, parse, and validate Fermé
Anomalie # 4308: * (F) Minor bug fixes and optimized performance Nouveau
  Evolution # 3990: Souci d'arrondis sur les JD calculés par DateTime Fermé
  Evolution # 3989: Check for all TODOs in alert_manager files Nouveau
  Evolution # 3708: Minor changes for version validation Fermé
  Evolution # 4291: MODULE Tests Suite Nouveau

History
#1 - 08/30/2016 05:36 pm - Etienne Pallier
- Subject changed from MODULE AlertManager to _MODULE_ AlertManager

#2 - 08/30/2016 05:38 pm - Etienne Pallier
- Subject changed from _MODULE_ AlertManager to (MODULE) AlertManager

#3 - 08/30/2016 05:44 pm - Etienne Pallier
- Subject changed from (MODULE) AlertManager to (MODULE) ALMN - AlertManager

Module responsible for the management of VOEvent alerts

#4 - 09/12/2016 03:26 pm - Etienne Pallier
- Target version set to 133

#5 - 09/12/2016 04:02 pm - Etienne Pallier
- Parent task set to #4090

#6 - 09/12/2016 04:13 pm - Etienne Pallier
- Subject changed from (MODULE) ALMN - AlertManager to ** (MODULE) 10 - ALMN - AlertManager **

#7 - 09/12/2016 04:15 pm - Etienne Pallier
- Subject changed from ** (MODULE) 10 - ALMN - AlertManager ** to *** (MODULE) 10 - ALMN - AlertManager ***

#8 - 09/12/2016 04:21 pm - Etienne Pallier
- Subject changed from *** (MODULE) 10 - ALMN - AlertManager *** to *** (MODULE) 10 - ALMN - AlertManager

#9 - 09/12/2016 04:21 pm - Etienne Pallier
- Subject changed from *** (MODULE) 10 - ALMN - AlertManager to ******* (MODULE) 10 - ALMN - AlertManager

#10 - 09/12/2016 04:43 pm - Etienne Pallier
- Subject changed from ******* (MODULE) 10 - ALMN - AlertManager to ******* (M) 10 - ALMN - AlertManager

#11 - 09/12/2016 04:45 pm - Etienne Pallier
- Subject changed from ******* (M) 10 - ALMN - AlertManager to ********** (M) 10 - ALMN - AlertManager
#12 - 09/12/2016 04:58 pm - Etienne Pallier
- Subject changed from ********** (M) 10 - ALMN - AlertManager to ******************** (M) 10 - ALMN - AlertManager

#13 - 09/12/2016 05:04 pm - Etienne Pallier
- Parent task changed from #4090 to #4093

#14 - 09/12/2016 05:14 pm - Etienne Pallier
- Subject changed from ******************** (M) 10 - ALMN - AlertManager to ***** (M) 10 - ALMN - AlertManager *****

#15 - 09/12/2016 05:15 pm - Etienne Pallier
- Subject changed from ***** (M) 10 - ALMN - AlertManager ***** to ***** (M) 9.1.10 - ALMN - AlertManager *****

#16 - 09/12/2016 05:16 pm - Etienne Pallier
- Subject changed from ***** (M) 9.1.10 - ALMN - AlertManager ***** to ******* (M) 9.1.10 - ALMN - AlertManager *******

#17 - 09/12/2016 05:19 pm - Etienne Pallier
- Description updated

#18 - 09/13/2016 11:47 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.10 - ALMN - AlertManager ******* to ******* (M) 9.1.10 - ALMN - Alert Manager *******

#19 - 09/13/2016 11:49 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.10 - ALMN - Alert Manager ******* to ******* (M) 9.1.10 - ALERTE - Alert Manager *******

#20 - 09/13/2016 03:15 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.10 - ALERTE - Alert Manager ******* to ******* (M) 09.1.10 - ALERTE - Alert Manager *******

#21 - 09/14/2016 10:41 pm - Etienne Pallier
- Subject changed from ******* (M) 09.1.10 - ALERTE - Alert Manager ******* to ******* (M) 09.1.10 - ALERTE - Alert Manager

#22 - 09/15/2016 11:32 am - Etienne Pallier
- Subject changed from ******* (M) 09.1.10 - ALERTE - Alert Manager to ******* (M) 09.1.10 - ALERT - Alert Manager

#23 - 09/23/2016 03:59 pm - Etienne Pallier
- Target version deleted (133)
